using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert HTML file to Word-RTF file
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";
			

			//set some converting options
			//set page size as Letter
			h.PageStyle.PageSize.Letter();
			//set left margin 20 mm
			h.PageStyle.PageMarginLeft.Mm(20f);
			
			//convert HTML file to RTF file
			int ret = h.ConvertFile(@"..\..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm", @"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			
			// 0 - converting successfully
			// 1 - can't open input file or URL, check the input path
			// 2 - can't create output file, check the output path
			// 3 - converting failed
			if(ret==0 )
			{
				//Show produced RTF file
				System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
	}
}
